Classes | UGens>Generators>Deterministic

# Formant : PureUGen : UGen : AbstractFunction : Object

Formant oscillator
Source: Osc.sc

## Description

Generates a set of harmonics around a formant frequency at a given fundamental frequency.

## Class Methods

### Formant.ar(fundfreq: 440.0, formfreq: 1760.0, bwfreq: 880.0, mul: 1.0, add: 0.0)

#### Arguments:

fundfreq | Fundamental frequency in Hertz. (control rate)
formfreq | Formant frequency in Hertz. (control rate)
bwfreq | Pulse width frequency in Hertz. Controls the bandwidth of the formant. (control rate) Must be greater than or equal to `fundfreq`.
mul |
add |

#### Discussion:

The frequency inputs are read at control rate only, so if you use an audio rate UGen as an input, it will only be sampled at the start of each audio synthesis block.

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

// modulate fundamental frequency, formant freq stays constant { Formant.ar(XLine.kr(400,1000, 8), 2000, 800, 0.125) }.play // modulate formant frequency, fundamental freq stays constant { Formant.ar(200, XLine.kr(400, 4000, 8), 200, 0.125) }.play // modulate width frequency, other freqs stay constant { Formant.ar(400, 2000, XLine.kr(800, 8000, 8), 0.125) }.play

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/Formant.schelp
link::Classes/Formant::